<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AppController;
use App\Http\Controllers\PhysiciansController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [AppController::class, 'index'])->name('index');
Route::get('/snyder-hemband', [AppController::class, 'snyderhemband'])->name('snyderhemband');
Route::get('/about-hemorrhoids', [AppController::class, 'aboutHem'])->name('aboutHem');
Route::get('/treatment-guide', [AppController::class, 'treatment'])->name('treatment');
Route::get('/post-treatment-care', [AppController::class, 'postCare'])->name('postCare');
Route::get('/comparing-treatment-options', [AppController::class, 'compare'])->name('compare');
Route::get('/faqs', [AppController::class, 'faqs'])->name('faqs');
Route::get('/find-a-clinic', [AppController::class, 'findAClinic'])->name('find-a-clinic');
Route::post('/submit-find-a-clinic', [AppController::class, 'submitFindAClinic'])->name('submit-find-a-clinic');
Route::get('/contact-us', [AppController::class, 'contact'])->name('contact');
Route::post('/submit-contact-us', [AppController::class, 'submitContact'])->name('submit-contact');

Route::prefix('/physicians/')->name('physicians.')->group(function () {
    Route::get('/', [PhysiciansController::class, 'index'])->name('index');
    Route::get('/practice-support', [PhysiciansController::class, 'practiceSupport'])->name('practice-support');
    Route::get('/order-products', [PhysiciansController::class, 'orderProducts'])->name('order-products');
    Route::get('/fda-registration', [PhysiciansController::class, 'fdaRegistration'])->name('fda-registration');
    Route::get('/contact-us', [PhysiciansController::class, 'contactUs'])->name('contact-us');

    Route::get('/get-trained', [PhysiciansController::class, 'getTrained'])->name('get-trained');
    Route::get('/reimbursement-guide', [PhysiciansController::class, 'reimbursementGuide'])->name('reimbursement-guide');
});
